image:
  name: alpine/helm:3.5.4
  entrypoint: ["/bin/sh", "-c"]

deploy-helm:
  script:
    - apk add gettext
    - envsubst < values.template.yaml > values.yaml
    - helm repo add jupyterhub https://jupyterhub.github.io/helm-chart/
    - helm repo update
    # - helm upgrade --cleanup-on-fail --install hpchub jupyterhub/jupyterhub -n csusb-hpc --version=1.2.0 --values values.yaml
    - helm upgrade --cleanup-on-fail
      --install hpchub jupyterhub/jupyterhub
      --namespace csusb-hpc --version=1.2
      --values values.yaml
      --set-file hub.extraFiles.image_select_idp.binaryData=./select_idp_cilogon.png.b64
      --set-file hub.extraFiles.custom_spawner_profile.stringData=./my_spawner.html
      --set-file hub.extraFiles.custom_spawner.stringData=./my_spawner.py 
  
  environment:
  #Check the namespace
    name: csusb-hpc

